Skip to main content

Consumer Installation

View as Markdown

InstallationDetail object

idstring
listing_idstring
share_namestring
catalog_namestring
installed_onint64
statusstring

Values: INSTALLED, FAILED

error_messagestring
listing_namestring
repo_namestring
repo_pathstring
recipient_typestring

Values: DELTA_SHARING_RECIPIENT_TYPE_DATABRICKS, DELTA_SHARING_RECIPIENT_TYPE_OPEN

tokensarray of object
Show child attributesHide child attributes
idstring

Unique id of the Recipient Token.

created_atint64

Time at which this Recipient Token was created, in epoch milliseconds.

created_bystring

Username of Recipient Token creator.

activation_urlstring

Full activation url to retrieve the access token. It will be empty if the token is already retrieved.

expiration_timeint64

Expiration timestamp of the token in epoch milliseconds.

updated_atint64

Time at which this Recipient Token was updated, in epoch milliseconds.

updated_bystring

Username of Recipient Token updater.

token_detailobject
Show child attributesHide child attributes
shareCredentialsVersionint32

These field names must follow the delta sharing protocol. Original message: RetrieveToken.Response in managed-catalog/api/messages/recipient.proto

bearerTokenstring
endpointstring
expirationTimestring

Create

POST /api/2.1/marketplace-consumer/listings/{listing_id}/installations

Install payload associated with a Databricks Marketplace listing.

API scopes: marketplace

Parameters

listing_idstringpath

Request body

share_namestring
catalog_namestring
repo_detailobject

for git repo installations

Show child attributesHide child attributes
repo_namestring

the user-specified repo name for their installed git repo listing

repo_pathstring

refers to the full url file path that navigates the user to the repo's entrypoint (e.g. a README.md file, or the repo file view in the unified UI) should just be a relative path

recipient_typestring

Values: DELTA_SHARING_RECIPIENT_TYPE_DATABRICKS, DELTA_SHARING_RECIPIENT_TYPE_OPEN

accepted_consumer_termsobject
Show child attributesHide child attributes
versionstring

Response

installationobject
Show child attributesHide child attributes
idstring
listing_idstring
share_namestring
catalog_namestring
installed_onint64
statusstring

Values: INSTALLED, FAILED

error_messagestring
listing_namestring
repo_namestring
repo_pathstring
recipient_typestring

Values: DELTA_SHARING_RECIPIENT_TYPE_DATABRICKS, DELTA_SHARING_RECIPIENT_TYPE_OPEN

tokensarray of object
Show child attributesHide child attributes
idstring

Unique id of the Recipient Token.

created_atint64

Time at which this Recipient Token was created, in epoch milliseconds.

created_bystring

Username of Recipient Token creator.

activation_urlstring

Full activation url to retrieve the access token. It will be empty if the token is already retrieved.

expiration_timeint64

Expiration timestamp of the token in epoch milliseconds.

updated_atint64

Time at which this Recipient Token was updated, in epoch milliseconds.

updated_bystring

Username of Recipient Token updater.

token_detailobject
Show child attributesHide child attributes
shareCredentialsVersionint32

These field names must follow the delta sharing protocol. Original message: RetrieveToken.Response in managed-catalog/api/messages/recipient.proto

bearerTokenstring
endpointstring
expirationTimestring

Update

PUT /api/2.1/marketplace-consumer/listings/{listing_id}/installations/{installation_id}

This is a update API that will update the part of the fields defined in the installation table as well as interact with external services according to the fields not included in the installation table

  1. the token will be rotate if the rotateToken flag is true
  2. the token will be forcibly rotate if the rotateToken flag is true and the tokenInfo field is empty

API scopes: marketplace

Parameters

listing_idstringpath
installation_idstringpath

Request body

installationobject
Show child attributesHide child attributes
idstring
listing_idstring
share_namestring
catalog_namestring
installed_onint64
statusstring

Values: INSTALLED, FAILED

error_messagestring
listing_namestring
repo_namestring
repo_pathstring
recipient_typestring

Values: DELTA_SHARING_RECIPIENT_TYPE_DATABRICKS, DELTA_SHARING_RECIPIENT_TYPE_OPEN

tokensarray of object
Show child attributesHide child attributes
idstring

Unique id of the Recipient Token.

created_atint64

Time at which this Recipient Token was created, in epoch milliseconds.

created_bystring

Username of Recipient Token creator.

activation_urlstring

Full activation url to retrieve the access token. It will be empty if the token is already retrieved.

expiration_timeint64

Expiration timestamp of the token in epoch milliseconds.

updated_atint64

Time at which this Recipient Token was updated, in epoch milliseconds.

updated_bystring

Username of Recipient Token updater.

token_detailobject
Show child attributesHide child attributes
shareCredentialsVersionint32

These field names must follow the delta sharing protocol. Original message: RetrieveToken.Response in managed-catalog/api/messages/recipient.proto

bearerTokenstring
endpointstring
expirationTimestring
rotate_tokenboolean

Response

installationobject
Show child attributesHide child attributes
idstring
listing_idstring
share_namestring
catalog_namestring
installed_onint64
statusstring

Values: INSTALLED, FAILED

error_messagestring
listing_namestring
repo_namestring
repo_pathstring
recipient_typestring

Values: DELTA_SHARING_RECIPIENT_TYPE_DATABRICKS, DELTA_SHARING_RECIPIENT_TYPE_OPEN

tokensarray of object
Show child attributesHide child attributes
idstring

Unique id of the Recipient Token.

created_atint64

Time at which this Recipient Token was created, in epoch milliseconds.

created_bystring

Username of Recipient Token creator.

activation_urlstring

Full activation url to retrieve the access token. It will be empty if the token is already retrieved.

expiration_timeint64

Expiration timestamp of the token in epoch milliseconds.

updated_atint64

Time at which this Recipient Token was updated, in epoch milliseconds.

updated_bystring

Username of Recipient Token updater.

token_detailobject
Show child attributesHide child attributes
shareCredentialsVersionint32

These field names must follow the delta sharing protocol. Original message: RetrieveToken.Response in managed-catalog/api/messages/recipient.proto

bearerTokenstring
endpointstring
expirationTimestring

Delete

DELETE /api/2.1/marketplace-consumer/listings/{listing_id}/installations/{installation_id}

Uninstall an installation associated with a Databricks Marketplace listing.

API scopes: marketplace

Parameters

listing_idstringpath
installation_idstringpath

Get Installation Details

GET /api/2.1/marketplace-consumer/listings/{listing_id}/installations

List all installations for a particular listing.

API scopes: marketplace

Parameters

listing_idstringpath
page_tokenstringquery
page_sizeint32query

Response

Returns a list of InstallationDetail objects.